Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 444160 - Drawing tools leave trails of small green circles
Drawing tools leave trails of small green circles
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
: 330371 460603 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 10:58 EDT by Dan Beard
Modified: 2018-04-11 04:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing issue (24.24 KB, image/png)
2008-04-25 10:58 EDT, Dan Beard
no flags Details
xorg.0.log (47.76 KB, text/plain)
2008-07-01 20:23 EDT, Dan Beard
no flags Details

  None (edit)
Description Dan Beard 2008-04-25 10:58:03 EDT
Description of problem:
Drawing tools leave trails of small green circles.   Video card=ATI Technologies
Radeon Mobility M6 LY

Version-Release number of selected component (if applicable):
GIMP 2.4.5

How reproducible:
Select a drawing tool and mouse over any open project.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Beard 2008-04-25 10:58:03 EDT
Created attachment 303791 [details]
Screenshot showing issue
Comment 2 Bug Zapper 2008-05-14 06:09:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Gilles Berger Sabbatel 2008-05-31 05:14:50 EDT
I have the same problem with the following card (from Xorg.0.log) :

 PCI:*(0@1:0:0) ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE] rev 0,
 Mem @ 0xf0000000/0, 0xef000000/0, I/O @ 0x0000d800/0, BIOS @ 0x????????/131072

I have some problems with compiz too (garbled menus and panels), so the problem
could be with the radeon driver for some cards...
Comment 4 Nils Philippsen 2008-07-01 04:42:09 EDT
Changing component to xorg-x11-drv-ati.
Comment 5 Matěj Cepl 2008-07-01 09:56:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Nils Philippsen 2008-07-01 09:58:35 EDT
(In reply to comment #4)
> Changing component to xorg-x11-drv-ati.

... and here's why (sorry for leaving that out): this problem only shows on
certain graphics cards that are served by the radeon driver (I have machines
with Radeon X850, Intel onboard graphics all of which don't have this issue).
Comment 7 Dan Beard 2008-07-01 10:50:28 EDT
Thanks for staying on this one, guys!   

I've got an Info update.   It'll take a few hours here before I can get back to
the laptop to get those files for you, but I can also offer another piece of
information to the mix.

Using the compiz-fusion packages packaged by Leigh123 (on fedora forum) provides
signifigantly slower performance, as one would expect with only 32mb of video
ram, but it also effectively eliminates this "mouse droppings" problem. 

This is also (both droppings problem and Compiz-fusion exception/fix)
reproducible on an HP ze4427 running the ati mobility graphics card.

Thanks again!

I'll get those logs for you this afternoon/evening.


Dan
Comment 8 Dan Beard 2008-07-01 20:23:40 EDT
Created attachment 310737 [details]
xorg.0.log
Comment 9 Nils Philippsen 2008-07-03 04:57:22 EDT
*** Bug 330371 has been marked as a duplicate of this bug. ***
Comment 10 Nils Philippsen 2008-08-29 06:21:30 EDT
*** Bug 460603 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2009-06-09 20:26:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Dan Beard 2009-06-09 21:30:43 EDT
As far as I am concerned, you can effectively consider this one a done deal.   With the addition of the packages I mentioned above, the problem was reduced to a tolerable level.   The machine doesn't need a lot of video resources to play music all day.   <.. :p ..>

Unfortunately, due to many other changes in F10 and F11, fedora (or any other current distro running a current kernel) is no longer a workable choice for this laptop.   The laptop itself is in the process of succumbing to the ravages of time and use too, Therefore it will be retired on approximately the same schedule as F9.

Thanks for giving a whack at it.

I won't close this, however, as there is at least one other affected party in the bug.

Thanks again, guys.


Dan
Comment 13 Bug Zapper 2009-07-14 13:29:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.